Bug 619267 - Cannot set default language to Serbian
Cannot set default language to Serbian
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: system-config-language (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Pravin Satpute
QE Internationalization Bugs
: i18n, RHELNAK
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-29 02:17 EDT by Kenichi Takemura
Modified: 2014-08-04 18:02 EDT (History)
4 users (show)

See Also:
Fixed In Version: system-config-language-1.3.4-4.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-03 20:32:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kenichi Takemura 2010-07-29 02:17:04 EDT
Description of problem:

Cannot set default language to Serbian
This is due to the error:

This system is not registered with RHN.
RHN support will be disabled.
Traceback (most recent call last):
  File "/usr/share/system-config-language/language_gui.py", line 175, in okClicked
    self.apply()
  File "/usr/share/system-config-language/language_gui.py", line 241, in apply
    grpid = lang_dict.get_groupID_from_language(defaultLang)
  File "/usr/share/system-config-language/lang_dict.py", line 167, in get_groupID_from_language
    return languages_Dict[language]
KeyError: 'sr_RS.UTF-8'


Version-Release number of selected component (if applicable):
$ rpm -q system-config-language
system-config-language-1.3.4-2.el6.noarch


How reproducible:
100%

Steps to Reproduce:
1. run system-config-language
2. Set Serbian as default language and click ok
3.
  
Actual results:
system-config-language does not set the language as default(error)

Expected results:

Serbian people are happy.

Additional info:
Comment 1 Kenichi Takemura 2010-07-29 02:18:25 EDT
Serbian(Latin) fails as well.

Loaded plugins: refresh-packagekit, rhnplugin
This system is not registered with RHN.
RHN support will be disabled.
Traceback (most recent call last):
  File "/usr/share/system-config-language/language_gui.py", line 175, in okClicked
    self.apply()
  File "/usr/share/system-config-language/language_gui.py", line 241, in apply
    grpid = lang_dict.get_groupID_from_language(defaultLang)
  File "/usr/share/system-config-language/lang_dict.py", line 167, in get_groupID_from_language
    return languages_Dict[language]
KeyError: 'sr_RS.UTF-8@latin'
Comment 3 RHEL Product and Program Management 2010-07-29 02:47:40 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **
Comment 4 Pravin Satpute 2010-07-29 04:12:20 EDT
(In reply to comment #1)
> Serbian(Latin) fails as well.
> 
> Loaded plugins: refresh-packagekit, rhnplugin
> This system is not registered with RHN.
> RHN support will be disabled.
 
can you do?

$yum group-install serbian-support

if not please enable your RHN support and try same
Comment 5 Pravin Satpute 2010-07-29 06:25:18 EDT
please ignore "> if not please enable your RHN support and try same" in above reply ;)
Comment 6 Jens Petersen 2010-08-03 01:33:45 EDT
I see it here too.  My desktop if ja FWIW.
Comment 7 Kenichi Takemura 2010-08-03 01:52:39 EDT
(In reply to comment #4)
> 
> can you do?
> 
> $yum group-install serbian-support

Sorry for the delayed answer.
Yes I can.

$ sudo yum groupinstall 'serbian-support'
Loaded plugins: refresh-packagekit, rhnplugin
This system is not registered with RHN.
RHN support will be disabled.
Setting up Group Process
Resolving Dependencies
--> Running transaction check
---> Package hunspell-sr.noarch 0:0.20090511-2.1.el6 set to be updated
---> Package kde-l10n-Serbian.noarch 0:4.3.4-5.el6 set to be updated
--> Processing Dependency: kde-l10n = 4.3.4-5.el6 for package:
kde-l10n-Serbian-4.3.4-5.el6.noarch
---> Package openoffice.org-langpack-sr.x86_64 1:3.2.1-19.5.el6 set to be
updated
--> Processing Dependency: hyphen-sr for package:
1:openoffice.org-langpack-sr-3.2.1-19.5.el6.x86_64
--> Running transaction check
---> Package hyphen-sr.noarch 0:0.20090511-2.1.el6 set to be updated
---> Package kde-l10n.noarch 0:4.3.4-5.el6 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

========================================================================================================
 Package                            Arch           Version                     
Repository         Size
========================================================================================================
Installing:
 hunspell-sr                        noarch         0.20090511-2.1.el6          
rhel-beta         1.0 M
 kde-l10n-Serbian                   noarch         4.3.4-5.el6                 
rhel-beta         4.4 M
 openoffice.org-langpack-sr         x86_64         1:3.2.1-19.5.el6            
rhel-beta          18 M
Installing for dependencies:
 hyphen-sr                          noarch         0.20090511-2.1.el6          
rhel-beta          15 k
 kde-l10n                           noarch         4.3.4-5.el6                 
rhel-beta          13 k

Transaction Summary
========================================================================================================
Install       5 Package(s)
Upgrade       0 Package(s)

Total download size: 24 M
Installed size: 65 M
Is this ok [y/N]:  y
Downloading Packages:
(1/5): hunspell-sr-0.20090511-2.1.el6.noarch.rpm                               
 | 1.0 MB     00:09     
(2/5): hyphen-sr-0.20090511-2.1.el6.noarch.rpm                                 
 |  15 kB     00:00     
(3/5): kde-l10n-4.3.4-5.el6.noarch.rpm                                         
 |  13 kB     00:01     
(4/5): kde-l10n-Serbian-4.3.4-5.el6.noarch.rpm                                 
 | 4.4 MB     00:33     
(5/5): openoffice.org-langpack-sr-3.2.1-19.5.el6.x86_64.rpm                    
 |  18 MB     02:10     
--------------------------------------------------------------------------------------------------------
Total                                                                   135
kB/s |  24 MB     02:59     
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing     : hunspell-sr-0.20090511-2.1.el6.noarch                       
                    1/5 
  Installing     : kde-l10n-4.3.4-5.el6.noarch                                 
                    2/5 
  Installing     : hyphen-sr-0.20090511-2.1.el6.noarch                         
                    3/5 
  Installing     : 1:openoffice.org-langpack-sr-3.2.1-19.5.el6.x86_64          
                    4/5 
  Installing     : kde-l10n-Serbian-4.3.4-5.el6.noarch                         
                    5/5 

Installed:
  hunspell-sr.noarch 0:0.20090511-2.1.el6                  
kde-l10n-Serbian.noarch 0:4.3.4-5.el6       
  openoffice.org-langpack-sr.x86_64 1:3.2.1-19.5.el6       

Dependency Installed:
  hyphen-sr.noarch 0:0.20090511-2.1.el6                  kde-l10n.noarch
0:4.3.4-5.el6                 

Complete!
Comment 9 Pravin Satpute 2010-08-03 07:30:43 EDT
thanks, i have a fix for this
Comment 10 Pravin Satpute 2010-08-04 11:28:19 EDT
build done!!
fixed in system-config-language-1.3.4-4.el6
Comment 12 Kenichi Takemura 2010-08-08 20:23:23 EDT
Verification failed.

system-config-language does not show the current language properly after selecting Serbian(Latin)

How to produce
1. run system-config-language
2. Select Serbian(Latin) and click 'OK'
3. run system-config-language

At step3, system-config-language shows the current language 'Serbian' not 'Serbian(Latin)'
Comment 13 Pravin Satpute 2010-08-09 05:22:00 EDT
Hi Kenichi,

locale is set properly in /etc/sysconfig/i18n

see $cat /etc/sysconfig/i18n


yes, s-c-l is not able to load default language, in its next view
localename@script is not handled properly in s-c-l, so this is another problem

IMHO you can verify this bug, as language is set properly
Comment 14 A S Alam 2010-08-09 05:44:40 EDT
status - FIXED
tested Package: system-config-language-1.3.4-4.el6.noarch


Detail:

--
with running system-config-language, 
language set is "Serbian(Latin"

[aalam@localhost ~]$ cat /etc/sysconfig/i18n 
LANG="sr_RS.UTF-8@latin"
---

Opening New bug for above problem, as this is not linked to reported bug.

Note You need to log in before you can comment on or make changes to this bug.